# Issue page

## Table of contents

<!-- TOC -->

- [Issue page](#issue-page)
    - [Table of contents](#table-of-contents)
    - [Issue page: what is it?](#issue-page-what-is-it)
    - [Windows 10 Virtual Desktop Enhancer's issue page](#windows-10-virtual-desktop-enhancers-issue-page)
    - [When should I open a new issue?](#when-should-i-open-a-new-issue)
    - [What to include in the issue?](#what-to-include-in-the-issue)
        - [Example of an useless issue](#example-of-an-useless-issue)
        - [Example of a useful issue](#example-of-a-useful-issue)

<!-- /TOC -->

Click here to go back to the [README](../README.md).

## Issue page: what is it?

The _Issue page_ of a project is a service on GitHub which, despite its name, lets the users and  the developers of a project communicate easily about pretty much anything related to the project itself.  
Its main use is to submit bugs and problem found while using the program, but, depending on the project and its administrators it can also be used to ask for new features in next releases, ask questions and receive help.

## Windows 10 Virtual Desktop Enhancer's issue page

[Here](https://github.com/sdias/win-10-virtual-desktop-enhancer/issues/) you can find Windows 10 Virtual Desktop Enhancer's Issue page.  
If you open that link you will find a list of open issues (which have not been solved yet) and old closed (solved) issues as well.

## When should I open a new issue?

If you have found yourself in any of these situations:

- You have experienced any problem using this program
- You found a bug in the program
- You have an idea about a nice feature this program lacks and you think it could be useful in a future release

First of all you can find a list of known issues for this project [here](known-issues.md): check if the issue you are experiencing is among them.  
If you can't find it or if the proposed solution does not work open this project's [GitHub issue page](https://github.com/sdias/win-10-virtual-desktop-enhancer/issues/) and search among the issues (both open and closed ones, you can switch which you are viewing at the top, under the search bar) to verify that your problem/bug/idea has not been already submitted.  
If you found an issue which applies to your situation and it has been closed, please read all the discussion thoroughly: it could contain the solution to your problem or an explanation about why the issue was closed. If the issue is still open instead feel free to contribute to the issue with your own experience: it will help everyone involved.  
If you did not find any issue related to your case then you can submit a new issue by clicking on the green "New issue" button at the top of the page.

**Important note:** if you want to comment on an issue or open a new one you will need to login with your GitHub account. If you don't have one you can register [here](https://github.com/join): it's a really quick procedure.

## What to include in the issue?

If you are reporting a problem or a bug, please include as much details as you can, for example:

- Which version of the program are you using?
- What happened when you experienced the problem? What were you expecting to happen instead?
- Is this a recurring issue or a one-time event?
- Have you tried anything to solve it? Have you had any form of success?

### Example of an useless issue

> Title: **Program not working**
> Message: The program does not work: I cannot use it correctly as it sometimes stops working.

This description of the problem is exceptionally vague and offers little to no ground for the developers to work on to understand, isolate and solve the problem.

### Example of a useful issue

> Title: **Program crashes when switching desktops**
> Message: Since I installed the last version of the program sometimes as I switch desktops it crashes without giving any error message: it just shuts down (the icon in the tray bar disappears).  
> Every time it has happened I was switching from the last to the first desktop, however it does not always happen: sometimes it will switch correctly and sometimes it will crash.

This is a great description of the problem: the user reported many extremely useful information, such as a possible version number which introduced the bug, a meaningful description of what happens and an hypothesis on what action triggers the crash.  
Obviously you will not always be able to give so much useful information, however _the more details you can report the better it is_.

Click here to go back to the [README](../README.md).